summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-vim/gentoo-syntax/gentoo-syntax-20141129.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-vim/gentoo-syntax/gentoo-syntax-20141129.ebuild')
-rw-r--r--app-vim/gentoo-syntax/gentoo-syntax-20141129.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/app-vim/gentoo-syntax/gentoo-syntax-20141129.ebuild b/app-vim/gentoo-syntax/gentoo-syntax-20141129.ebuild
new file mode 100644
index 00000000000..5cf052ca8cc
--- /dev/null
+++ b/app-vim/gentoo-syntax/gentoo-syntax-20141129.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: Gentoo and portage related syntax highlighting, filetype, and indent settings"
+HOMEPAGE="https://github.com/gentoo/gentoo-syntax"
+
+LICENSE="vim"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="ignore-glep31"
+
+VIM_PLUGIN_HELPFILES="gentoo-syntax"
+VIM_PLUGIN_MESSAGES="filetype"
+
+src_prepare() {
+ if use ignore-glep31 ; then
+ for f in ftplugin/*.vim ; do
+ ebegin "Removing UTF-8 rules from ${f} ..."
+ sed -i -e 's~\(setlocal fileencoding=utf-8\)~" \1~' ${f} \
+ || die "waah! bad sed voodoo. need more goats."
+ eend $?
+ done
+ fi
+}
+
+pkg_postinst() {
+ vim-plugin_pkg_postinst
+
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ if use ignore-glep31 1>/dev/null ; then
+ ewarn "You have chosen to disable the rules which ensure GLEP 31"
+ ewarn "compliance. When editing ebuilds, please make sure you get"
+ ewarn "the character set correct."
+ else
+ elog "Note for developers and anyone else who edits ebuilds:"
+ elog " This release of gentoo-syntax now contains filetype rules to set"
+ elog " fileencoding for ebuilds and ChangeLogs to utf-8 as per GLEP 31."
+ elog " If you find this feature breaks things, please submit a bug and"
+ elog " assign it to vim@gentoo.org. You can use the 'ignore-glep31' USE"
+ elog " flag to remove these rules."
+ fi
+ fi
+}